Package org.apache.sysds.runtime.frame.data.compress

# Class CompressedFrameBlockFactory

java.lang.Object
org.apache.sysds.runtime.frame.data.compress.CompressedFrameBlockFactory

public class CompressedFrameBlockFactory extends Object

## Method Summary

Modifier and Type
Method
Description
`static FrameBlock`
`compress(FrameBlock fb, int k, WTreeRoot root)`
`static FrameBlock`
`compress(FrameBlock fb, FrameCompressionSettings cs)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### compress

public static FrameBlock compress(FrameBlock fb, int k, WTreeRoot root)

### compress

public static FrameBlock compress(FrameBlock fb, FrameCompressionSettings cs)